Index: ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/control
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/control	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/control	(revision 23484)
@@ -0,0 +1,13 @@
+Package: titan-plugin-swapnetwork-dlna
+Version: 1.0
+Description: dlna Medien Server (upnp)
+Section: swapnetwork
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: dlna
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
+Titanname: DLNA
+Showname: DLNA
Index: ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/postinst
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/postinst	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/postinst	(revision 23484)
@@ -0,0 +1,32 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+echo "successfully installed"
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+rm -rf /var/usr/local/share/titan/plugins/dlna
+ln -s /var/swap/titanplugins/dlna /var/usr/local/share/titan/plugins/dlna
+ln -s /var/swap/lib/libavcodec.so.53.8.0 /var/usr/lib/libavcodec.so.53
+ln -s /var/swap/lib/libavformat.so.53.5.0 /var/usr/lib/libavformat.so.53
+ln -s /var/swap/lib/libavutil.so.51.9.1 /var/usr/lib/libavutil.so.51
+ln -s /var/swap/lib/libexif.so.12.3.2 /var/usr/lib/libexif.so.12
+ln -s /var/swap/lib/libvorbis.so.0.4.5 /var/usr/lib/libvorbis.so.0
+
+if [ ! -e /var/swap/etc/minidlna.conf ]; then
+	echo "use tpk config file: minidlna.conf"
+	echo "rename /var/swap/etc/minidlna.conf.minidlna > /var/swap/etc/minidlna.conf"
+	mv /var/swap/etc/minidlna.conf.minidlna /var/swap/etc/minidlna.conf
+else
+	echo "found user config file: minidlna.conf"
+	echo "skip tpk config file: minidlna.conf.minidlna"
+fi
+
+echo "install minidlna...."
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/postrm
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/postrm	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/postrm	(revision 23484)
@@ -0,0 +1,22 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+
+rm -rf /var/swap/titanplugins/dlna
+rm -rf /var/usr/local/share/titan/plugins/dlna
+rm -rf /var/usr/lib/libavcodec.so.53*
+rm -rf /var/usr/lib/libavformat.so.53*
+rm -rf /var/usr/lib/libavutil.so.51*
+rm -rf /var/usr/lib/libexif.so.12*
+rm -rf /var/usr/lib/libvorbis.so.0*
+
+echo "successfully removed"
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/preinst
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/preinst	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/preinst	(revision 23484)
@@ -0,0 +1,60 @@
+#!/bin/sh
+#
+TMP=/tmp/.tmp
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "checking swapstick"
+if [ ! -d /var/swap/titanplugins ]; then
+  echo "--------------------------"
+	echo "no swapstick found...."
+	echo "--------------------------"
+	exit 1
+fi
+echo "swapstick found...."
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=1950
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this TPK Package!!
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+rm -rf /var/swap/titanplugins/dlna
+rm -rf /var/usr/local/share/titan/plugins/dlna
+
+echo "installing DLNA to swapstick..."
+
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/prerm
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/prerm	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/CONTROL/prerm	(revision 23484)
@@ -0,0 +1,19 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+if [ ! -e /var/swap/etc/minidlna.conf.minidlna ]; then
+	echo "remove tpk minidlna.conf"
+	rm /var/swap/etc/minidlna.conf
+fi
+
+echo "removing minidlna from swapstick"
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/var/swap/etc/minidlna.conf.minidlna
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/var/swap/etc/minidlna.conf.minidlna	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/network_dlna/var/swap/etc/minidlna.conf.minidlna	(revision 23484)
@@ -0,0 +1,5 @@
+network_interface=eth0
+port=8200
+friendly_name=DLNASERVER-Atemio500
+media_dir=/media
+
Index: ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/control
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/control	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/control	(revision 23484)
@@ -0,0 +1,12 @@
+Package: titan-plugin-tools-filemanager
+Version: 0.1
+Architecture: sh4
+OE: stopifnotused
+Section: tools
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: nit
+Description: filemanager
+Titanname: File Manager
+Showname: File Manager
Index: ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/postinst
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/postinst	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/postinst	(revision 23484)
@@ -0,0 +1,13 @@
+#!/bin/sh
+TMP=/tmp/.tools
+
+echo "successfully installed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/postrm
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/postrm	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/postrm	(revision 23484)
@@ -0,0 +1,15 @@
+#!/bin/sh
+TMP=/tmp/.tools
+PLUGINDIR=/var/usr/local/share/titan/plugins/filemanager
+rm -rf $PLUGINDIR > /dev/null 2>&1
+
+echo "successfully removed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/preinst
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/preinst	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/preinst	(revision 23484)
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+TMP=/tmp/.tools
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "install filemanager Plugin ..."
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=15
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/prerm
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/prerm	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/tools_filemanager/CONTROL/prerm	(revision 23484)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.tools
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "removing filemanager Plugin"
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/control
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/control	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/control	(revision 23484)
@@ -0,0 +1,11 @@
+Package: titan-plugin-wireless-8712u
+Version: 0.1
+Architecture: sh4
+OE: stopifnotused
+Section: wireless
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: git
+Description: wireless modul 8712u.ko
+Showname: Wlan 8712u
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/postinst
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/postinst	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/postinst	(revision 23484)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/postrm
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/postrm	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/postrm	(revision 23484)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/preinst
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/preinst	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/preinst	(revision 23484)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/prerm
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/prerm	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_8712u/CONTROL/prerm	(revision 23484)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/control
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/control	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/control	(revision 23484)
@@ -0,0 +1,11 @@
+Package: titan-plugin-wireless-rt2870sta
+Version: 0.1
+Architecture: sh4
+OE: stopifnotused
+Section: wireless
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: git
+Description: wireless modul rt2870sta.ko
+Showname: Wlan rt2870sta
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/postinst
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/postinst	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/postinst	(revision 23484)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/postrm
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/postrm	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/postrm	(revision 23484)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/preinst
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/preinst	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/preinst	(revision 23484)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exit 0
Index: ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/prerm
===================================================================
--- ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/prerm	(revision 23484)
+++ ipk/source.sh4/system_oldaudioelf_1_0/wlan_rt2870sta/CONTROL/prerm	(revision 23484)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exit 0
